//------------------------------------------------------------------------------
// <auto-generated>
//    Ce code a été généré à partir d'un modèle.
//
//    Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//    Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PROJETMODELE.Models.DAL
{
    using System;
    using System.Collections.Generic;
    
    public partial class TP_Produit
    {
        public TP_Produit()
        {
            this.TP_Commande_Liquide = new HashSet<TP_Commande_Liquide>();
            this.TP_Commande_Liquide_Temp = new HashSet<TP_Commande_Liquide_Temp>();
            this.TP_Produit1 = new HashSet<TP_Produit>();
            this.TP_Ristourne_Client = new HashSet<TP_Ristourne_Client>();
            this.TP_Vente_Liquide_Temp = new HashSet<TP_Vente_Liquide_Temp>();
            this.TP_Vente_Liquide = new HashSet<TP_Vente_Liquide>();
        }
    
        public int ID_Produit { get; set; }
        public Nullable<int> ID_Produit_Base { get; set; }
        public int ID_Famille { get; set; }
        public int ID_Emballage { get; set; }
        public string Code { get; set; }
        public string Libelle { get; set; }
        public double PU_Achat { get; set; }
        public double PU_Vente { get; set; }
        public bool Valeur_Emballage { get; set; }
        public bool Produit_Decomposer { get; set; }
        public System.DateTime Create_Date { get; set; }
        public System.DateTime Edit_Date { get; set; }
        public int Create_Code_User { get; set; }
        public int Edit_Code_User { get; set; }
        public bool Actif { get; set; }
        public Nullable<int> ID_Plastique_Base { get; set; }
        public Nullable<int> ID_Bouteille_Base { get; set; }
    
        public virtual ICollection<TP_Commande_Liquide> TP_Commande_Liquide { get; set; }
        public virtual ICollection<TP_Commande_Liquide_Temp> TP_Commande_Liquide_Temp { get; set; }
        public virtual TP_Emballage TP_Emballage { get; set; }
        public virtual TP_Emballage TP_Emballage1 { get; set; }
        public virtual TP_Emballage TP_Emballage2 { get; set; }
        public virtual TP_Famille TP_Famille { get; set; }
        public virtual ICollection<TP_Produit> TP_Produit1 { get; set; }
        public virtual TP_Produit TP_Produit2 { get; set; }
        public virtual ICollection<TP_Ristourne_Client> TP_Ristourne_Client { get; set; }
        public virtual ICollection<TP_Vente_Liquide_Temp> TP_Vente_Liquide_Temp { get; set; }
        public virtual ICollection<TP_Vente_Liquide> TP_Vente_Liquide { get; set; }
    }
}
